Main Page Widgets Namespaces Book

# Pango::AttrShape Class Reference

Inheritance diagram for Pango::AttrShape:

[legend]
List of all members.

## Detailed Description

A Pango::AttrShape structure is used to represent an attribute which imposes shape restrictions.

## Public Member Functions
| AttrShape (const AttrShape& src)
| AttrShape (PangoAttrShape* castitem, bool take_copy=true)
AttrShape& | operator= (const AttrShape& src)
Rectangle | get_ink_rect () const
| Gets the ink rectangle to restrict to.
Rectangle | get_logical_rect () const
| Gets the logical rectangle to restrict to.
void | set_ink_rect (const Rectangle& value)
| Sets the ink rectangle to restrict to.
void | set_logical_rect (const Rectangle& value)
| Sets the logical rectangle to restrict to.
PangoAttrShape* | gobj ()
const PangoAttrShape* | gobj () const
## Protected Member Functions
| AttrShape ()
## Related Functions
(Note that these are not member functions.)
Pango::AttrShape | wrap (PangoAttrShape* object, bool take_copy=false)

## Constructor & Destructor Documentation

Pango::AttrShape::AttrShape | ( |  | ) | `[protected]`

Pango::AttrShape::AttrShape | ( | const AttrShape& | src | ) |

Pango::AttrShape::AttrShape | ( | PangoAttrShape* | castitem,
|  | bool | take_copy = true
| ) | `[explicit]`

## Member Function Documentation

Rectangle Pango::AttrShape::get_ink_rect | ( |  | ) | const

| Gets the ink rectangle to restrict to. Returns: The ink rectangle of the attribute.

Rectangle Pango::AttrShape::get_logical_rect | ( |  | ) | const

| Gets the logical rectangle to restrict to. Returns: The logical rectangle of the attribute.

const PangoAttrShape* Pango::AttrShape::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Pango::Attribute.

PangoAttrShape* Pango::AttrShape::gobj | ( |  | ) | `[inline]`

| Reimplemented from Pango::Attribute.

AttrShape& Pango::AttrShape::operator= | ( | const AttrShape& | src | ) |

void Pango::AttrShape::set_ink_rect | ( | const Rectangle& | value | ) |

  | Sets the ink rectangle to restrict to. Parameters:
  ink_rect | The new ink rectangle for the attribute.

void Pango::AttrShape::set_logical_rect | ( | const Rectangle& | value | ) |

  | Sets the logical rectangle to restrict to. Parameters:
  logical_rect | The new logical rectangle for the attribute.

## Friends And Related Function Documentation

Pango::AttrShape wrap | ( | PangoAttrShape* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- attributes.h